<?php

    namespace Modules\Lpj\Exports;

    use Maatwebsite\Excel\Concerns\FromCollection;
    use Maatwebsite\Excel\Concerns\WithColumnFormatting;
    use Maatwebsite\Excel\Concerns\WithHeadings;
    use Maatwebsite\Excel\Concerns\WithMapping;
    use Modules\Lpj\Models\HubunganPenghuniJaminan;
    use PhpOffice\PhpSpreadsheet\Style\NumberFormat;

    class HubunganPenghuniJaminanExport implements WithColumnFormatting, WithHeadings, FromCollection, withMapping
    {
        public function collection()
        {
            return HubunganPenghuniJaminan::all();
        }

        public function map($row)
        : array
        {
            return [
                $row->id,
                $row->name,
                $row->created_at
            ];
        }

        public function headings()
        : array
        {
            return [
                'ID',
                'Hubungan Penghuni Jaminan',
                'Created At'
            ];
        }

        public function columnFormats()
        : array
        {
            return [
                'A' => NumberFormat::FORMAT_NUMBER,
                'C' => NumberFormat::FORMAT_DATE_DATETIME
            ];
        }
    }
